import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["items", "extraSpacing", "className"];
import * as React from 'react';
import classNames from 'classnames';

// This component is deprecated
var PopupMenu = function PopupMenu(_ref) {
  var _ref$items = _ref.items,
      items = _ref$items === void 0 ? [] : _ref$items,
      extraSpacing = _ref.extraSpacing,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var popupMenuClass = classNames('sg-popup-menu', {
    'sg-popup-menu--elements-spaced': extraSpacing
  }, className);
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: popupMenuClass
  }), items.map(function (item, i) {
    return /*#__PURE__*/React.createElement("div", {
      key: i,
      className: "sg-popup-menu__hole"
    }, item);
  }));
};

export default PopupMenu;